#
# Makefile fragment included by all other Makefiles.
#

# Make "all" the first Makefile target:
all:

OPTS=-O
CLEAN=

# Grab path to various libraries and flags
include $(GLDIR)/Make.arch

CFLAGS+= $(OPTS) -I. -I$(GLDIR)/../ -I$(GLDIR)/../lib -I$(GLDIR)/../lib/ogl \
	$(SYSFLAGS) \
	-I$(SYS_GLDIR)/include -I$(SYS_GLUTDIR)/include -I$(SYS_XDIR)/include 
LDFLAGS+= -L$(GLDIR)/../lib  -L$(SYS_GLDIR)/lib -L$(SYS_GLUTDIR)/lib -L$(SYS_XDIR)/lib 

OGL_LIB=-logl -losl_gl
LIBS += $(PRE_LIBS) $(OGL_LIB) 

LINK=$(CCC) $(CFLAGS) $(LDFLAGS)


# Trick gmake into compiling .cpp into .o
%.o: %.cpp 
	$(CCC) $(CFLAGS) -c $< -o $@

%.o: %.C
	$(CCC) $(CFLAGS) -c $< -o $@

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

# Trick other makes into compiling .cpp's into .o's.
.SUFFIXES: .cpp .C .c

.cpp.o:
	$(CCC) $(CFLAGS) -c $< -o $@

.C.o:
	$(CCC) $(CFLAGS) -c $< -o $@

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

superclean:



